Package org.eclipse.mat.internal.snapshot.inspections

## Class CompareTablesQuery.ComparisonResultTable

- java.lang.Object
- - org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.TableComparisonResult
  - - org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.ComparisonResultTable

All Implemented Interfaces:
  `IIconProvider`, `IResult`, `IResultTable`, `IStructuredResult`

Enclosing class:
  CompareTablesQuery

    public class CompareTablesQuery.ComparisonResultTable
    extends CompareTablesQuery.TableComparisonResult
    implements IResultTable

### Field Summary

### Fields inherited from interface org.eclipse.mat.query.IIconProvider

`EMPTY`

### Constructor Summary

Constructors
`ComparisonResultTable​(java.util.List<org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.ComparedRow> rows, Column key, java.util.List<CompareTablesQuery.ComparedColumn> comparedColumns, CompareTablesQuery.Mode mode, CompareTablesQuery.Operation setOp)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getRow​(int rowId)` Returns the object of the row with the given row number.
`int` `getRowCount()` Returns the number of rows in the result table.

### Methods inherited from class org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.TableComparisonResult

`getColumns, getColumnValue, getComparedColumns, getContext, getIcon, getMode, getOperation, getResultMetaData, setComparedColumns, setMode, setOperation, updateColumns`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.mat.query.IResult

`getResultMetaData`

### Methods inherited from interface org.eclipse.mat.query.IStructuredResult

`getColumns, getColumnValue, getContext`

### Constructor Detail

#### ComparisonResultTable

    public ComparisonResultTable​(java.util.List<org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.ComparedRow> rows,
                                 Column key,
                                 java.util.List<CompareTablesQuery.ComparedColumn> comparedColumns,
                                 CompareTablesQuery.Mode mode,
                                 CompareTablesQuery.Operation setOp)

### Method Detail

#### getRow

    public java.lang.Object getRow​(int rowId)

Description copied from interface: `IResultTable`
Returns the object of the row with the given row number.

Specified by:
  `getRow` in interface `IResultTable`
Parameters:
  `rowId` - The row number.
Returns:
  an opaque row object representing this row which can be passed to `IStructuredResult.getContext(Object)` or `IStructuredResult.getColumnValue(Object, int)`.

#### getRowCount

    public int getRowCount()

Description copied from interface: `IResultTable`
Returns the number of rows in the result table.

Specified by:
  `getRowCount` in interface `IResultTable`
Returns:
  the number of rows